### Method

# Shell PerfLog update_statistic_x

#### Declaration [src]

    void
    shell_perf_log_update_statistic_x (
      ShellPerfLog* perf_log,
      const char* name,
      gint64 value
    )

#### Description [src]

Updates the current value of an 64-bit integer statistic.

#### Parameters

`name`

  Type: `const char*`

  Name of the statistic.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gint64`

  New value for the statistic.